from cdss.capbility import CDSSCapability
from cdss.models.schemas import CDSSInput, CDSSOutput, CDSSInt

capability = CDSSCapability()

record = CDSSInput(
    pat_age=CDSSInt(type="month", value=21), 
    pat_sex=CDSSInt(type="sex", value=1),
    chief_complaint=["腹痛", "发热", "腹泻"],
    )

if __name__ == "__main__":
    output = capability.process(input=record)
    for item in output.diagnosis.value:
        print(f"DIAG {item}  {output.diagnosis.value[item]} ")
    for item in output.checks.value:
        print(f"CHECK {item}  {output.checks.value[item]} ")
    for item in output.drugs.value:
        print(f"DRUG {item}  {output.drugs.value[item]} ")